
from setuptools import setup, find_packages
import pathlib

here = pathlib.Path(__file__).parent.resolve()
long_description = (here / "README.md").read_text(encoding="utf-8")


setup(
    name="sync_conflict",
    version="0.1.0",
    description="Search conflict file generated by syncthing",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/ritonun/sync_conflict",
    classifiers=[ 
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3 :: Only",
    ],
    keywords="syncthing, cli",
    python_requires=">=3.7, <4",
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        "Click"
    ],
    entry_points = {
        'console_scripts': [
            'sync_conflict = sync_conflict.commands:cli'],
    },
)